
Redmine - Feature #7328

Cloning/Duplicating an Issue with subtasks should allow to clone/duplicate the sub-tasks as well

2011-01-14 09:27 - Daniel Reiche

Status: Closed Start date: 2011-01-14

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

When a parent issue is cloned/duplicated, the subtasks/children are not processed.

This should be modified, to allow either clone a parent alone, or with all children, leading to a deep clone of the entire issue tree.

Right now, an issue can only be cloned by itself. If, for whatever reason, you want to create a copy of an entire issue tree, you'll have

to copy every issue by hand and re-create the parent-child relations in each of cloned issues.

Related issues:

Is duplicate of Redmine - Feature #6965: Option to Copy Subtasks when copying... Closed 2010-11-23

History

#1 - 2011-01-14 09:36 - Daniel Reiche

Sorry, noticed now that there are two issues referring to the same problem: #7023 and #6965

please mark as duplicate of #7023, which has a possible solution attached.

THX

#2 - 2016-03-24 14:58 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Duplicate

Fixed by #6965 (Redmine 2.1.0).

#3 - 2016-03-24 14:58 - Go MAEDA

- Is duplicate of Feature #6965: Option to Copy Subtasks when copying an issue added
